package com.example.webapp.controller;

import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseStatus;

@Controller
public class IndexController {

    @GetMapping(path = "/")
    String index() {
        return "redirect:/contract";
    }

    @GetMapping(path = "/notfound")
    @ResponseStatus(HttpStatus.NOT_FOUND)
    String notFound() {
        return "/error/404";
    }

}
